Bug 473577 - (CVE-2008-5278) CVE-2008-5278 wordpress, wordpress-mu: XSS vulnerability in RSS Feed Generator
CVE-2008-5278 wordpress, wordpress-mu: XSS vulnerability in RSS Feed Generator
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20081125,reported=20081126,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 08:45 EST by Jan Lieskovsky
Modified: 2016-03-04 07:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 21:39:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
WordPress-CVE-2008-5278.diff (2.69 KB, patch)
2008-11-29 09:27 EST, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2008-11-29 08:45:50 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5278 to
the following vulnerability:

Cross-site scripting (XSS) vulnerability in the self_link function in
in the RSS Feed Generator (wp-includes/feed.php) for WordPress before
2.6.5 allows remote attackers to inject arbitrary web script or HTML
via the Host header (HTTP_HOST variable).

References:
http://wordpress.org/development/2008/11/wordpress-265/
http://www.securityfocus.com/archive/1/498652  (there is also PoC available)

Note: Please upgrade to latest 2.6.5 upstream version of Wordpress and also
apply the patch to Wordpress-MU
Comment 1 Jan Lieskovsky 2008-11-29 08:48:57 EST
This issue affects all versions of the WordPress package, as shipped
with the Fedora releases of 9, 10 and devel and within the Extra Packages
for the Enteprise Linux version 5 project (EPEL5).

This issue affects the version of the WordPress MU package, as shipped
with the Fedora release of 10.
Comment 2 Jan Lieskovsky 2008-11-29 08:59:34 EST
This issue was addressed in:

 wordpress-2.6.5-2.fc8
 wordpress-2.6.5-2.fc9
 wordpress-2.6.5-2.fc10

Fedora security updates. Please update yet the Fedora EPEL5 wordpress package
and Fedora 10 wordpress-mu package.
Comment 3 Jan Lieskovsky 2008-11-29 09:27:08 EST
Created attachment 325086 [details]
WordPress-CVE-2008-5278.diff
Comment 4 Fedora Update System 2008-12-02 20:09:40 EST
wordpress-2.6.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-12-02 20:20:56 EST
wordpress-2.6.5-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-12-02 20:29:10 EST
wordpress-2.6.5-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-12-08 17:07:35 EST
wordpress-mu-2.6.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wordpress-mu-2.6.5-1.fc10
Comment 8 Fedora Update System 2008-12-21 03:21:25 EST
wordpress-mu-2.6.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.